# -*- coding: utf-8 -*-
"""

DevEmailBackend
=================

Chiarire lo scopo...

.. autoclass:: DevEmailBackend
   :members:

"""
from django.conf import settings
from django.core.mail.backends.smtp import EmailBackend


class DevEmailBackend(EmailBackend):
    """
    Questo Backend permette di...
    """
    def _send(self, email_message):
        email_message.to = settings.DEV_EMAIL_RECIPIENT
        if email_message.bcc:
            email_message.bcc = settings.DEV_EMAIL_BCC
        if email_message.cc:
            email_message.bcc = settings.DEV_EMAIL_CC
        super()._send(email_message)

